hirom  ; don't change this
header  ; comment out if your rom has no header

org $C13DB7  ; location in v1.0
;org $C13DB4  ; location in v1.1
;org $C13D8F  ; location in SFC version
outer_loop:
	LDY #$0008  ; space-optimize these bit reversals into a loop
C13DBA:	LDA $03C0,X
;REMOVED1:	ASL A
REPLACE1:
C13DBD:	STA $10  ; one instruction replaces one
;C13DBD:	ROR $10
;REMOVED2:
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	LDA $10
;	STA $03C0,X
C13DBF:	LDA $10C0,X

inner_loop:
REPLACE2:
C13DC2:	ASL $10  ; four instructions replace four
C13DC4:	ROR $03C0,X
C13DC7:	ASL A
C13DC8:	ROR $10C0,X
;C13DC2:	ASL A
;C13DC4:	ROR $10
;C13DC7:	ASL A
;C13DC8:	ROR $10
;REMOVED3:
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	ASL A
;	ROR $10
;	LDA $10
;	STA $10C0,X
	DEY
	BNE inner_loop
C13DCE:	INX
C13DCF:	DEC $12
C13DD1:	BNE outer_loop
C13DD3:	PLB
C13DD4:	PLX
C13DD5:	PLA
C13DD6:	ASL A
C13DD7:	ASL A
C13DD8:	ASL A
C13DD9:	ASL A
C13DDA:	ASL A
C13DDB:	PHX
C13DDC:	TAX
C13DDD:	LDA $2EAE,X  ; get sprite ID
	CMP #$04  ; if it's Edgar's sprite...
	BEQ tentacles  ; ...check if we're battling the Tentacles
C13DE4:	CMP #$0E  ; if it's a soldier sprite...
C13DE6:	BNE load_normal_palette  ; ...check if Locke's wearing a uniform
C13DE8:	LDA $2EC6,X  ; character ID
REPLACE3:
C13DEB:	DEC A  ; one for one
;C13DEB:	CMP #$01
C13DEC:	BNE load_normal_palette  ; branch if actual character isn't Locke
C13DEE:	LDA $1EA0
C13DF1:	AND #$08  ; "Locke wearing a soldier uniform" event bit check
C13DF3:	BEQ load_normal_palette

tentacles:
	LDA $ECB8  ; v1.0 or v1.1
;	LDA $EC88  ; SFC only
	CMP #$37  ; check if battle background ID is Tentacles
	BEQ load_zero_palette  ; if so, Carry will be set
	CLC  ; if not, Carry will be cleared

load_zero_palette:
C13DFD:	PLX
C13DFE:	TDC
	ROL A  ; load palette 1 iff it's Edgar during Tentacles battle
C13E01:	BRA adjust_x


padbyte $EA : pad $C13E1F  ; v1.0 only
;padbyte $EA : pad $C13E1C  ; v1.1 only
;padbyte $EA : pad $C13DF7  ; SFC only

load_normal_palette:
C13E1F:	PLX
C13E20:	LDA $C2CE2B,X  ; v1.0 or v1.1
;C13E20:	LDA $C2CDCD,X  ; SFC only

adjust_x: