
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C1774A
REPLACE1:  ; six instructions replace one
C1774A:	PHX
C1774B:	TDC
C1774C:	TAX

frame_loop:
C1774D:	PLY
C1774E:	STY $D0E4
C17751:	PHY
;C1774A:	LDX #$0000
C17752:	LDY #$C000
C17755:	STY $D0E2
;REMOVED1:
;	LDY #$2000
;	STY $D0E4
REPLACE2:  ; two instructions replace one
C17758:	TDC
C17759:	TAY
;C17758:	LDY #$0000

sector_loop:
C1775A:	JSR dissolve_frame
C1775D:	REP #$20
C1775F:	LDA $D0E2
C17762:	CLC
C17763:	ADC #$0800
C17766:	STA $D0E2
C17769:	LDA $D0E4
;REMOVED2:
;	CLC
;	ADC #$0400
;	STA $D0E4
	BEQ frame_loop_iterate
C1776E:	TYA
C1776F:	CLC
C17770:	ADC #$0800
C17773:	TAY
C17774:	TDC
C17775:	SEP #$20
C17777:	CPY #$4000
C1777A:	BNE sector_loop

frame_loop_iterate:
	TDC
	SEP #$20
C1777F:	INX
C17780:	CPX #$0008
C17783:	BNE frame_loop
	PLX
C17786:	RTS

NOP
NOP
RTS

dissolve_frame:

org $C1779F
dissolve_setup_loop:
C1779F:	LDA $E5
C177A1:	BMI restore_setup
C177A3:	LDA $D97C7A,X
C177A7:	BRA transition_setup

restore_setup:
C177A9:	LDA $D97C7A,X
C177AD:	EOR #$FF
C177AF:	ORA $F52C,Y
C177B2:	STA $F52C,Y

transition_setup:
C177B5:	STA $0070,Y
C177B8:	STA $0071,Y
;REMOVED3:
;	LDA $E5
;	STA $85
;	STZ $84
C177BB:	INX
C177BC:	INY
C177BD:	INY
C177BE:	CPY #$0010
C177C1:	BNE dissolve_setup_loop
C177C3:	PLY
C177C4:	LDA #$40
C177C6:	STA $86
C177C8:	STZ $87
	STA $84
	STZ $85
C177CE:	PHB
C177CF:	LDA #$7F
C177D1:	PHA
C177D2:	PLB
C177D3:	REP #$20
C177D5:	TYA
C177D6:	LSR A
C177D7:	LSR A
C177D8:	LSR A
C177D9:	LSR A
C177DA:	LSR A
C177DB:	TAX

dissolve_update_loop:
	LDA $7ED0E4
	BEQ exit_loop
	DEC A
	STA $7ED0E4
REPLACE3:  ; three instructions replace three
C177E7:	LDA $7500,X
C177EA:	LSR A
C177EB:	BCC update_pixels
;C177E7:	LDA $7F7500,X
;C177EA:	AND #$0001
;C177EB:	BEQ update_pixels
C177ED:	TYA
C177EE:	CLC
C177EF:	ADC #$0020
C177F2:	TAY
	DEC $84
C177F5:	BRA dissolve_iterate

update_pixels:
REPLACE4:  ; one instruction replaces one
C177F7:	LDA $E4
;C177F7:	LDA $84
C177F9:	BMI call_restore
C177FB:	JSR remove_fn
C177FE:	JSR remove_fn
C17801:	BRA dissolve_iterate

call_restore:
C17803:	JSR restore_fn
C17806:	JSR restore_fn

dissolve_iterate:
C17809:	INX
C1780A:	DEC $86
C1780C:	BNE dissolve_update_loop

exit_loop:
;REMOVED4:
;	TDC
;	SEP #$20
C1780E:	PLB
C1780F:	LDX #$0800
C17812:	STX $70
C17814:	LDX $D0E2
	TXA
	ASL A
	LSR A
	LSR A
	TAY
	TDC
	SEP #$20
	LDA $84
	BEQ exit
C17823:	LDA #$7F
;REMOVED5:	LDY $D0E4
C17825:	JSR $FD27
	LDA $08,S
	BNE exit
	JSR $02F2

exit:
C1782F:	PLY
C17830:	PLX
C17831:	RTS

restore_fn:
	PHX
	TDC
	TAX

restore_loop:
C17835:	LDA $8000,Y
REPLACE5:  ; one instruction replaces one
C17838:	AND $70,X
;C17838:	AND $70
C1783A:	STA $C000,Y
;REMOVED6:
;	LDA $8002,Y
;	AND $72
;	STA $C002,Y
;	LDA $8004,Y
;	AND $74
;	STA $C004,Y
;	LDA $8006,Y
;	AND $76
;	STA $C006,Y
;	LDA $8008,Y
;	AND $78
;	STA $C008,Y
;	LDA $800A,Y
;	AND $7A
;	STA $C00A,Y
;	LDA $800C,Y
;	AND $7C
;	STA $C00C,Y
;	LDA $800E,Y
;	AND $7E
;	STA $C00E,Y
REPLACE6:  ; seven instructions replace four
C1783D:	INY
C1783E:	INY
C1783F:	INX
C17840:	INX
C17841:	CPX #$0010
C17844:	BNE restore_loop
C17846:	PLX
;C1783D:	TYA
;C1783E:	CLC
;C1783F:	ADC #$0010
;C17840:	TAY
C17847:	RTS

padbyte $EA : pad $C17863

RTS

remove_fn: