
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C1B785  ; location in v1.0
;org $C1B782  ; location in v1.1
;org $C1B733  ; location in SFC version
DW throw_anim

org $C1B78F  ; location in v1.0
;org $C1B78C  ; location in v1.1
;org $C1B73D  ; location in SFC version
DW sketch_anim

org $C1B7A1  ; location in v1.0
;org $C1B79E  ; location in v1.1
;org $C1B74F  ; location in SFC version
DW jump_anim

org $C1B990  ; location in v1.0
;org $C1B98D  ; location in v1.1
;org $C1B93E  ; location in SFC version
C1B990:	DW $AEAD  ; v1.0 or v1.1
;C1B990:	DW $7EAD  ; SFC only

exit_swdtech:  ; comment out this label if reversing
C1B992:	RTS  ; last DW + this = LDA
C1B993:	BNE mid_quadra
C1B995:	JSR $AB8B  ; v1.0 only
;C1B995:	JSR $AB88  ; v1.1 only
;C1B995:	JSR $AB39  ; SFC only
C1B998:	LDA #$03
C1B99A:	JSR $BBE1  ; v1.0 only
;C1B99A:	JSR $BBDE  ; v1.1 only
;C1B99A:	JSR $BB8F  ; SFC only
C1B99D:	JSR $B941  ; v1.0 only
;C1B99D:	JSR $B93E  ; v1.1 only
;C1B99D:	JSR $B8EF  ; SFC only
C1B9A0:	BCC exit_swdtech
C1B9A2:	BRA after_flash

mid_quadra:
C1B9A4:	JSR $B941  ; v1.0 only
;C1B9A4:	JSR $B93E  ; v1.1 only
;C1B9A4:	JSR $B8EF  ; SFC only
C1B9A7:	BCC exit_swdtech
C1B9A9:	JSR $AB67  ; v1.0 only
;C1B9A9:	JSR $AB64  ; v1.1 only
;C1B9A9:	JSR $AB15  ; SFC only

after_flash:
C1B9AC:	JSR $9AA2  ; v1.0 only
;C1B9AC:	JSR $9A9F  ; v1.1 only
;C1B9AC:	JSR $9A50  ; SFC only
C1B9AF:	LDX #$04A6
C1B9B2:	STX $1E
C1B9B4:	LDY #$0002
C1B9B7:	LDA ($76),Y
C1B9B9:	BMI exit_swdtech
REPLACE1:  ; JMP replaces JSRs and RTS...careful!
C1B9BB:	JMP $BC7F  ; v1.0 only
;C1B9BB:	JMP $BC7C  ; v1.1 only
;C1B9BB:	JMP $BC2D  ; SFC only
;C1B9BB:	JSR $9CB3  ; v1.0 only
;C1B9BB:	JSR $9CB0  ; v1.1 only
;C1B9BB:	JSR $9C61  ; SFC only
;C1B9BC:	JSR $AC5B  ; v1.0 only
;C1B9BC:	JSR $AC58  ; v1.1 only
;C1B9BC:	JSR $AC09  ; SFC only
;C1B9BD:	JSR $9503  ; v1.0 only
;C1B9BD:	JSR $9500  ; v1.1 only
;C1B9BD:	JSR $94B6  ; SFC only
;exit_swdtech:	RTS

throw_anim:
C1B9BE:	JSR $BC35  ; v1.0 only
;C1B9BE:	JSR $BC32  ; v1.1 only
;C1B9BE:	JSR $BBE3  ; SFC only
C1B9C1:	LDY #$0002
C1B9C4:	LDA ($76),Y
C1B9C6:	INC A
C1B9C7:	TAX
C1B9C8:	LDA $D10040,X
C1B9CC:	BPL normal_weapon  ; branch if not a Star/Gambler item

throwing_motion:
C1B9CE:	TDC
C1B9CF:	STA ($76),Y
C1B9D1:	TXA
C1B9D2:	INY
C1B9D3:	STA ($76),Y
C1B9D5:	JMP $BECD  ; v1.0 only
;C1B9E3:	JMP $BECA  ; v1.1 only
;C1B9E3:	JMP $BE7B  ; SFC only

normal_weapon:
	CPX #$00AB
	BCS underhand_throw
	PHA
	PHY
	JSR $B941  ; v1.0 only
;	JSR $B93E  ; v1.1 only
;	JSR $B8EF  ; SFC only
	PLY
	PLA
	BCC throwing_motion
	PHA
	JSR $BC35  ; v1.0 only
;	JSR $BC32  ; v1.1 only
;	JSR $BBE3  ; SFC only
	PLA

underhand_throw:
C1B9EB: AND #$0F
C1B9ED:	CLC
C1B9EE:	ADC #$14
REPLACE2:
C1B9F0:	BRA bbe1  ; replaces JSR and RTS
;C1B9F0:	JSR $BBE1  ; v1.0 only
;C1B9F0:	JSR $BBDE  ; v1.1 only
;C1B9F0:	JSR $BB8F  ; SFC only
;C1B9F1:	RTS

sketch_anim:
C1B9F2:	INC $ECBB  ; v1.0 or v1.1
;C1B9F2:	INC $EC8B  ; SFC only
C1B9F5:	JSR $BC35  ; v1.0 only
;C1B9F5:	JSR $BC32  ; v1.1 only
;C1B9F5:	JSR $BBE3  ; SFC only
C1B9F8:	LDA #$25
REPLACE3:  ; JMP replaces JSRs and RTS
C1B9FA:	JMP $BB5B  ; v1.0 only
;C1B9FA:	JMP $BB58  ; v1.1 only
;C1B9FA:	JMP $BB09  ; SFC only
;C1B9FA:	JSR $B890  ; v1.0 only
;C1B9FA:	JSR $B88D  ; v1.1 only
;C1B9FA:	JSR $B83E  ; SFC only
;C1B9FB:	JSR $B86B  ; v1.0 only
;C1B9FB:	JSR $B868  ; v1.1 only
;C1B9FB:	JSR $B819  ; SFC only
;C1B9FC:	RTS

jump_anim:
C1B9FD:	LDA ($78)
C1B9FF:	AND #$02
C1BA01:	STA $EC10  ; v1.0 or v1.1
;C1BA01:	STA $EBE0  ; SFC only
C1BA04:	JSR $9AA2  ; v1.0 only
;C1BA04:	JSR $9A9F  ; v1.1 only
;C1BA04:	JSR $9A50  ; SFC only
C1BA07:	LDA ($78)
REPLACE4:
C1BA09:	ASL A  ; five instructions replace two
C1BA0A:	LDY #$0002
C1BA0D:	BCC get_to_jumping
C1BA0F:	INY
C1BA10:	INY
;C1BA09:	BPL party_jump
;C1BA0B:	LDY #$0004

get_to_jumping:
C1BA11:	LDA ($78),Y
C1BA13:	INY
C1BA14:	ORA ($78),Y
REPLACE5:
C1BA16:	BEQ jumping_up  ; two instructions replace three
C1BA18:	BCC party_landing
;C1BA16:	BNE enemy_landing
;C1BA17:	LDA #$0B
;C1BA18:	BRA animate_enemy

enemy_landing:
C1BA1A:	LDA #$09

animate_enemy:
REPLACE6:
C1BA1C:	BRA bbe1  ; one instruction replaces six
;C1BA1C:	JMP $BBE1  ; v1.0 only
;C1BA1C:	JMP $BBDE  ; v1.1 only
;C1BA1C:	JMP $BB8F  ; SFC only
;party_jump:
;	LDY #$0002
;	LDA ($78),Y
;	INY
;	ORA ($78),Y
;	BNE party_landing

jumping_up:
C1BA1E:	LDA #$0A
	ADC #$00
REPLACE7:
C1BA22:	BRA bbe1  ; one instruction replaces one
;C1BA22:	JMP $BBE1  ; v1.0 only
;C1BA22:	JMP $BBDE  ; v1.1 only
;C1BA22:	JMP $BB8F  ; SFC only

	NOP  ; comment out these two NOPs if
	NOP  ; Assassin's "Jump Megafix" patch is applied

	RTS
party_landing:

org $C1BA5C  ; location in v1.0
;org $C1BA59  ; location in v1.1
;org $C1BA0A  ; location in SFC version
bbe1:	DB $4C